Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Expression

    java.lang.Object
      |
      +--org.hsqldb.Expression

class Expression
extends java.lang.Object

Expression class declaration

Field Summary
`(package private) static int` | `ADD`
`(package private) static int` | `AND`
`(package private) static int` | `ASTERIX`
`(package private) static int` | `AVG`
`(package private) static int` | `BETWEEN`
`(package private) static int` | `BIGGER`
`(package private) static int` | `BIGGER_EQUAL`
`(package private) static int` | `CASEWHEN`
`(package private) static int` | `CAST`
`(package private) static int` | `CLOSE`
`(package private) static int` | `COLUMN`
`(package private) static int` | `COMMA`
`(package private) static int` | `CONCAT`
`(package private) static int` | `CONVERT`
`(package private) static int` | `COUNT`
`(package private) static int` | `DIVIDE`
`(package private) static int` | `END`
`(package private) static int` | `EQUAL`
`(package private) static int` | `EXISTS`
`(package private) static int` | `FUNCTION`
`(package private) static int` | `IFNULL`
`(package private) static int` | `IN`
`(package private) static int` | `LIKE`
`(package private) static int` | `MAX`
`(package private) static int` | `MIN`
`(package private) static int` | `MULTIPLY`
`(package private) static int` | `NEGATE`
`(package private) static int` | `NOT`
`(package private) static int` | `NOT_EQUAL`
`(package private) static int` | `OPEN`
`(package private) static int` | `OR`
`(package private) static int` | `PLUS`
`(package private) static int` | `QUERY`
`(package private) static int` | `SELECT`
`(package private) static int` | `SMALLER`
`(package private) static int` | `SMALLER_EQUAL`
`(package private) static int` | `STRINGCONCAT`
`(package private) static int` | `SUBTRACT`
`(package private) static int` | `SUM`
`(package private) static int` | `TRUE`
`(package private) static int` | `VALUE`
`(package private) static int` | `VALUELIST`

Constructor Summary
`(package private)` | `Expression(Expression e)` Constructor declaration
`(package private)` | `Expression(Function f)` Constructor declaration
`(package private)` | `Expression(int type, Expression e, Expression e2)` Constructor declaration
`(package private)` | `Expression(int datatype, java.lang.Object o)` Constructor declaration
`(package private)` | `Expression(Select s)` Constructor declaration
`(package private)` | `Expression(java.lang.String table, java.lang.String column)` Constructor declaration
`(package private)` | `Expression(java.util.Vector v)` Constructor declaration

Method Summary
`(package private) void` | `checkResolved()` Method declaration
`(package private) java.lang.String` | `getAlias()` Method declaration
`(package private) Expression` | `getArg()` Method declaration
`(package private) Expression` | `getArg2()` Method declaration
`(package private) java.lang.String` | `getColumnName()` Method declaration
`(package private) int` | `getColumnNr()` Method declaration
`(package private) int` | `getDataType()` Method declaration
`(package private) TableFilter` | `getFilter()` Method declaration
`(package private) java.lang.String` | `getTableName()` Method declaration
`(package private) int` | `getType()` Method declaration
`(package private) java.lang.Object` | `getValue()` Method declaration
`(package private) java.lang.Object` | `getValue(int type)` Method declaration
`(package private) boolean` | `isAggregate()` Method declaration
`(package private) static boolean` | `isCompare(int i)` Method declaration
`(package private) boolean` | `isDescending()` Method declaration
`(package private) boolean` | `isResolved()` Method declaration
`(package private) void` | `resolve(TableFilter f)` Method declaration
`(package private) void` | `setAlias(java.lang.String s)` Method declaration
`(package private) void` | `setDataType(int type)` Method declaration
`(package private) void` | `setDescending()` Method declaration
`(package private) void` | `setLikeEscape(char c)` Method declaration
`(package private) void` | `setTrue()` Method declaration
`(package private) void` | `swapCondition()` Method declaration
`(package private) boolean` | `test()` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE

    static final int VALUE

### COLUMN

    static final int COLUMN

### QUERY

    static final int QUERY

### TRUE

    static final int TRUE

### VALUELIST

    static final int VALUELIST

### ASTERIX

    static final int ASTERIX

### FUNCTION

    static final int FUNCTION

### NEGATE

    static final int NEGATE

### ADD

    static final int ADD

### SUBTRACT

    static final int SUBTRACT

### MULTIPLY

    static final int MULTIPLY

### DIVIDE

    static final int DIVIDE

### CONCAT

    static final int CONCAT

### NOT

    static final int NOT

### EQUAL

    static final int EQUAL

### BIGGER_EQUAL

    static final int BIGGER_EQUAL

### BIGGER

    static final int BIGGER

### SMALLER

    static final int SMALLER

### SMALLER_EQUAL

    static final int SMALLER_EQUAL

### NOT_EQUAL

    static final int NOT_EQUAL

### LIKE

    static final int LIKE

### AND

    static final int AND

### OR

    static final int OR

### IN

    static final int IN

### EXISTS

    static final int EXISTS

### COUNT

    static final int COUNT

### SUM

    static final int SUM

### MIN

    static final int MIN

### MAX

    static final int MAX

### AVG

    static final int AVG

### IFNULL

    static final int IFNULL

### CONVERT

    static final int CONVERT

### CASEWHEN

    static final int CASEWHEN

### PLUS

    static final int PLUS

### OPEN

    static final int OPEN

### CLOSE

    static final int CLOSE

### SELECT

    static final int SELECT

### COMMA

    static final int COMMA

### STRINGCONCAT

    static final int STRINGCONCAT

### BETWEEN

    static final int BETWEEN

### CAST

    static final int CAST

### END

    static final int END

Constructor Detail

### Expression

    Expression(Function f)

  Constructor declaration
  Parameters:
    `f` -

### Expression

    Expression(Expression e)

  Constructor declaration
  Parameters:
    `e` -

### Expression

    Expression(Select s)

  Constructor declaration
  Parameters:
    `s` -

### Expression

    Expression(java.util.Vector v)

  Constructor declaration
  Parameters:
    `v` -

### Expression

    Expression(int type,
               Expression e,
               Expression e2)

  Constructor declaration
  Parameters:
    `type` -
    `e` -
    `e2` -

### Expression

    Expression(java.lang.String table,
               java.lang.String column)

  Constructor declaration
  Parameters:
    `table` -
    `column` -

### Expression

    Expression(int datatype,
               java.lang.Object o)

  Constructor declaration
  Parameters:
    `datatype` -
    `o` -

Method Detail

### setLikeEscape

    void setLikeEscape(char c)

  Method declaration
  Parameters:
    `c` -

### setDataType

    void setDataType(int type)

  Method declaration
  Parameters:
    `type` -

### setTrue

    void setTrue()

  Method declaration

### isAggregate

    boolean isAggregate()

  Method declaration
  Returns:

### setDescending

    void setDescending()

  Method declaration

### isDescending

    boolean isDescending()

  Method declaration
  Returns:

### setAlias

    void setAlias(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

### getAlias

    java.lang.String getAlias()

  Method declaration
  Returns:

### getType

    int getType()

  Method declaration
  Returns:

### getColumnNr

    int getColumnNr()

  Method declaration
  Returns:

### getArg

    Expression getArg()

  Method declaration
  Returns:

### getArg2

    Expression getArg2()

  Method declaration
  Returns:

### getFilter

    TableFilter getFilter()

  Method declaration
  Returns:

### checkResolved

    void checkResolved()
                 throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### resolve

    void resolve(TableFilter f)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `f` -
  Throws:
    java.sql.SQLException -

### isResolved

    boolean isResolved()

  Method declaration
  Returns:

### isCompare

    static boolean isCompare(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### getTableName

    java.lang.String getTableName()

  Method declaration
  Returns:

### getColumnName

    java.lang.String getColumnName()

  Method declaration
  Returns:

### swapCondition

    void swapCondition()
                 throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### getValue

    java.lang.Object getValue(int type)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### getDataType

    int getDataType()

  Method declaration
  Returns:

### getValue

    java.lang.Object getValue()
                        throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### test

    boolean test()
           throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD